#include <windows.h>
#include <direct.h>
#include <stdio.h>

int main ( int argc, char **argv )
{
    char drive  [_MAX_DRIVE];
    char dir    [_MAX_DIR  ];
    char fname  [_MAX_FNAME];
    char ext    [_MAX_EXT  ];
    char logname[_MAX_PATH ];
    char cmd    [8192];
    char *p = cmd;
    int i;

    if ( argc < 3 ) {
        fprintf ( stderr, "mpclog <logname> <mppenc parameters>\n" );
        return 1;
    }

    _splitpath ( argv[argc-1], drive, dir , NULL , NULL );
    _splitpath ( argv[1]     , NULL , NULL, fname, ext  );
    _makepath  ( logname     , drive, dir , fname, ext  );

    p += wsprintf ( p, "mppenc --stderr \"%s\"", logname );
    for ( i = 2; i < argc; i++ ) {
        p += wsprintf ( p, " \"%s\"", argv[i] );
    }
    system ( cmd );

    return 0;
}
